OGRE-Next: Ogre::EGLContext Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::EGLContext Class Referenceabstract

`#include <OgreEGLContext.h>`

Inheritance diagram for Ogre::EGLContext:
[legend]

## Public Member Functions
| EGLContext (EGLDisplay eglDisplay, const EGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable)
| EGLContext (EGLDisplay eglDisplay, EGLGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable, ::EGLContext context=0)
virtual | ~EGLContext ()
virtual | ~EGLContext ()
virtual void | _createInternalResources (EGLDisplay eglDisplay, ::EGLConfig glconfig, ::EGLSurface drawable, ::EGLContext shareContext)
virtual void | _destroyInternalResources ()
GL3PlusContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual GLES2Context * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | endCurrent ()
| This is called before another context is made current.
virtual void | endCurrent ()
| This is called before another context is made current.
EGLSurface | getDrawable () const
virtual void | setCurrent ()
| Enable the context.
virtual void | setCurrent ()
| Enable the context.
Public Member Functions inherited from Ogre::GL3PlusContext
| GL3PlusContext ()
virtual | ~GL3PlusContext ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()
Public Member Functions inherited from Ogre::GLES2Context
| GLES2Context ()
virtual | ~GLES2Context ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()

## Public Attributes
EGLSurface | mDrawable

## Constructor & Destructor Documentation

## ◆ EGLContext() [1/2]

Ogre::EGLContext::EGLContext | ( | EGLDisplay | eglDisplay,
|  | EGLGLSupport * | glsupport,
|  | ::EGLConfig | fbconfig,
|  | ::EGLSurface | drawable,
|  | ::EGLContext | context = 0 )

References EGLContext().

Referenced by EGLContext(), and _createInternalResources().

## ◆ ~EGLContext() [1/2]

virtual Ogre::EGLContext::~EGLContext | ( |  | ) |
| virtual

## ◆ EGLContext() [2/2]

Ogre::EGLContext::EGLContext | ( | EGLDisplay | eglDisplay,
|  | const EGLSupport * | glsupport,
|  | ::EGLConfig | fbconfig,
|  | ::EGLSurface | drawable )

## ◆ ~EGLContext() [2/2]

virtual Ogre::EGLContext::~EGLContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _createInternalResources()

virtual void Ogre::EGLContext::_createInternalResources | ( | EGLDisplay | eglDisplay,
|  | ::EGLConfig | glconfig,
|  | ::EGLSurface | drawable,
|  | ::EGLContext | shareContext )
| virtual

References EGLContext().

## ◆ _destroyInternalResources()

virtual void Ogre::EGLContext::_destroyInternalResources | ( |  | ) |
| virtual

## ◆ clone() [1/2]

GL3PlusContext * Ogre::EGLContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

Reimplemented in Ogre::EmscriptenEGLContext, Ogre::Win32EGLContext, and Ogre::X11EGLContext.

References Ogre::GL3PlusContext::GL3PlusContext().

## ◆ clone() [2/2]

virtual GLES2Context * Ogre::EGLContext::clone | ( |  | ) | const
| pure virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

Implemented in Ogre::AndroidEGLContext, Ogre::EmscriptenEGLContext, Ogre::Win32EGLContext, and Ogre::X11EGLContext.

References Ogre::GLES2Context::GLES2Context().

## ◆ endCurrent() [1/2]

virtual void Ogre::EGLContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ endCurrent() [2/2]

virtual void Ogre::EGLContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ getDrawable()

EGLSurface Ogre::EGLContext::getDrawable | ( |  | ) | const

## ◆ setCurrent() [1/2]

virtual void Ogre::EGLContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

## ◆ setCurrent() [2/2]

virtual void Ogre::EGLContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

## Member Data Documentation

## ◆ mDrawable

EGLSurface Ogre::EGLContext::mDrawable

The documentation for this class was generated from the following files:

- GL3Plus/include/windowing/EGL/OgreEGLContext.h
- GLES2/include/EGL/OgreEGLContext.h